package com.ejie.ab39a.exceptions;

import java.io.Serializable;

/**
 *  
 */
public class ParametroKey implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * valorParametro
	 */
	private String valorParametro = null;
	/*
	 * Indicativo de si valorParametro es un parametro o es una clave la cual se
	 * tiene que recoger de BD
	 */
	private boolean esKey = false;

	/**
	 * Constructor con parametros
	 * 
	 * @param valorParametro
	 *            String valorParametro
	 * @param isKey
	 *            boolean isKey
	 */
	public ParametroKey(String valorParametro, boolean isKey) {
		this.valorParametro = valorParametro;
		this.esKey = isKey;
	}

	/**
	 * @return the isKey
	 */
	public boolean isEsKey() {
		return this.esKey;
	}

	/**
	 * @param esKey
	 *            the esKey to set
	 */
	public void setEsKey(boolean esKey) {
		this.esKey = esKey;
	}

	/**
	 * @return the valorParametro
	 */
	public String getValorParametro() {
		return this.valorParametro;
	}

	/**
	 * @param valorParametro
	 *            the valorParametro to set
	 */
	public void setValorParametro(String valorParametro) {
		this.valorParametro = valorParametro;
	}
}